var prefs = Components.classes["@mozilla.org/preferences-service;1"].
                    getService(Components.interfaces.nsIPrefBranch);

function onload(){
    var list = document.getElementById("bm_list");
    var bookmks = prefs.getCharPref("lightbrowser.bookmarks").split(",");
    list.removeAllItems();
    for (i=0;i<bookmks.length;i++){
        var item = list.appendItem(bookmks[i]);
        item.setAttribute("value", bookmks[i]);
    }
}

function switchon() {
    var button = document.getElementById("rmbutt");
    button.setAttribute("disabled", "false");
}

function remove() {
    var sel = document.getElementById("bm_list").value;
    var bookmks = prefs.getCharPref("lightbrowser.bookmarks").split(",");
    var list = "";
    for (i=0;i<bookmks.length;i++){
        if (bookmks[i] != sel){
           if (!list) {
             list = bookmks[i];
           } else {
             list = list+','+bookmks[i];
           }
        }
    }
    prefs.setCharPref("lightbrowser.bookmarks", list);
    closewin();
}

function onclose() {
}

function closewin() {
  win = document.defaultView;
  onclose();
  win.close();
}

addEventListener("load", onload, false);
